;
;dmde.ini - DMDE for DOS32 Initialization File
;

setupsign=
lickey=
activatekey[0]=
portablekey=

lngfile=
;interface language file

loadlngfiles=%appres%\locals\*.lng
;load language files

loadcptables=%appres%\locals\*.tbl
;load code page tables for Unicode-Char,Translit,Upcase conversions

editortemplates=%appres%\template.txt
;editor template file(s) - wildcards are possible

vgafonts=%appres%\locals\*.cpi
;use VGA fonts library

;usecodepage=437
;manually select used code page (CP)

;oemcodepage=437
;manually select source OEM CP for DOS names

mainwndsplit=-1

applylngcodepage=
;=1: use codepages from the lng file

translitenable=1
;=1: transliterate symbols outside current code page

viewtranslit=0
;=1: transliterate symbols on the screen

rtlapply=
;=1: use rtl ui for right-to-left languages

;vgafont=
;set VGA font from file

;vgafontrows=14
;vgafontrows=8/14/16

kilobyte=1000
;kilobyte=1024

displayCHS=0

editorhexcolsnum=16
;editorhexcolsnum=N - maximum columns number for hex editor
;editorhexcolsnum=0: auto

editorhexgroupsize=8

startup=B
;startup=A  - open ATA drives at startup
;startup=An - open ATA drive, n-device number (0-7)
;startup=B  - open BIOS disks
;startup=Bn - open disk n-hexadecimal number: B80 - first HDD
;startup=D  - open DOS disks
;startup=DX - open DOS disk X:

;startupimage=filename - open disk image
;startupdev=devicestring - open device at startup
;startupraid=raid.ini - load RAID from "raid.ini" at startup
;startupcopy=copy.ini - load "Copy sectors" from "copy.ini" at startup

;exclude=A4-7 
;do not detect ATA-drives 4-7

exclude=B02-7F 
exclude=B92-FF 
;do not detect BIOS drives 02-7F, 92-FF

;exclude=DB
;do not open disk B:

readonly=0
;=1 - globally disable writing to devices
devopen_editmode=0
;=1 - default edit mode when open using dialog box
devload_editmode=0
;=1 - default edit mode when load from log-file
devapply_ioparamsopt=0
;=1 - option to change i/o params when applying changes
devapply_editmodeopt=0
;=1 - option to set edit mode when applying changes
partapply_ioparamsopt=1
;=1 - option to change i/o params when applying partitioning changes
partapply_editmodeopt=1
;=1 - option to set edit mode when applying partitioning changes

queryclosedevice=1
;query when closing device 

showpartitions=1
;show partitions when open device 

;editmode=1
;enable disk editor edit mode by default

;[ATA]
pciscan=1
;scan PCI for ATA devices

pcidevsmask=3
;1 - first channel
;2 - second channel
;3 - both channels

;enumerate ATA devices (Prof. Edition only)
; - enumdevs0=0,CommandRegBase,ControlReg,ATABusMasterReg,0,devsmask,MasterDevName,SlaveDevName
;enumdevs0=0,1F0,3F6,0,0,3,"Primary~Master","Primary~Slave",ata%d
;enumdevs1=0,170,376,0,0,3,"Secondary~Master","Secondary~Slave",ata%d
;enumdevs2=0,1E8,3EE,0,0,3,"Tertiary~Master","Tertiary~Slave",ata%d
;enumdevs3=0,168,36E,0,0,3,"Quaternary~Master","Quaternary~Slave",ata%d

detectcpuspeed=1 
;use RDTSC for more precise timing

cpufastmove=1
;not supported
;cpufastmove=0 - detect cpu features
;cpufastmove=1 - most compatible
;cpufastmove=2 - IA32
;cpufastmove=3 - SSE
;cpufastmove=4 - MMX

biosoutput=0
;biosoutput=0 - write directly to VGA memory
;biosoutput=1 - use BIOS INT10 function for screen output

ckeventtick=1
;ckeventtick=0 check event every time (slow down operations)
;ckeventtick=1 check event every 55ms only

mousehandler=2
;mousehandler=0 - no mouse
;mousehandler=1 - use INT33 mouse service
;mousehandler=2 - install INT33 mouse handler

keyboardhandler=1
;keyboardhandler=0 - use old INT16 service
;keyboardhandler=1 - use new INT16 service
;keyboardhandler=2 - install INT09 handler

[IO]
atadetecttimeout=700
;ata device detection time in msec

atadetectreset=1
;atadetectreset=1 - ATA software reset if busy when detecting
;atadetectreset=0 - do not reset

atatimeout=2000
;ata command timeout in msec 

atapitimeout=6000
;atapi command timeout in msec

ataresetifbusy=1
;ataresetifbusy=1 - ATA software reset if busy
;ataresetifbusy=0 - do not reset

ataresettimeout=3000
;ata software reset timeout in msec

ataresetdetect=0
;ataresetdetect=1 - detect ata device after reset (manual reset only)
;ataresetdetect=0 - do not detect

atapipackettimeout=250
;atapi sending packet timeout in msec

dmareqintr=0
;interrupt bit assumption for DMA transfer (Prof. Edition only)
;dmareqintr=0 - ignore not set bit
;dmareqintr=1 - assume error if bit is not set

;deviopopupontry=3
;additional tries num. before displaying i/o dialog box when errors are auto ignored 

deviopopupdelay=2000
;additional ms delay before displaying i/o dialog box when errors are auto ignored 

queryioerrors=1
querydrivenotready=1

retries=1
;retries=N - read/write auto retries number (N=0..64)
; read/write retries number for sector with errors (N=0..999)
; if N=0 read block only once (the rest of the block after error is zeroed)

seekretries=1
;seekretries=N - read/write auto retries number if sector not found (N=0..64)

deviojump=0
;deviojump=N
;jump over N sectors after I/O error 

deviojumpreturn=0
;deviojumpreturn=1 - reverse read after jump
;deviojumpreturn=0 - do not reverse read

devioskipfiller=0x50494B53
;fill skipped sectors with hex values

deviobadfiller=0x20444142
;deviobadfiller=0x20444142  - fill bad sectors with hex values
;deviobadfiller=            - do not fill bads

buffer=32768
;buffer=65536 - BIOS may not support
;buffer=N - disk data transfer buffer size (N=4096..1048576)

dblbuffer=1048576
;dblbuffer=N - (N=4096..16777216)

diskcache=1048576
;diskcache=N - disk cache size (N=4096..16777216)

;diskmaxmodsize=16777216
;max size for pending modifications

[DR]
maxrecoverdepth=1024
maxfilerenames=16
maxdirrenames=16

splitfilesize=0xFFFF0000

;substnamesutf8=1
;create name substitution file in utf8 (for Windows7+)

[FullScan]
showvolumesnum=2048

[FAT]
fatdirentryaccept=1
;FAT directory entry validation level:
;fatdirentryaccept=0 - accept reliable entries within reliable sectors only
;fatdirentryaccept=1 - accept any entries within reliable sectors
;fatdirentryaccept=2 - accept reliable entries within any sector
;fatdirentryaccept=3 - accept any entry within any sector

fatinvdirtotree=0
;fatinvdirtotree=0 - add FAT invalid directories to file panel only
;fatinvdirtotree=1 - insert FAT invalid directories into tree also

fatfoundtoroot=1
;fatfoundtoroot=0 - add found root subdirs to a common directory list
;fatfoundtoroot=1 - insert found root subdirectories into $Root


volumeseachblock=4194304
;blocksize for FAT/NTFS volume search

fatmaxvolumes=1024

[NTFSSearch]
ntfsmaxvolumes=1024
ntfsmaxprocstarts=1024
ntfsmaxmftruns=0xffffff
ntfsmaxprocmftruns=32768
ntfsmaxindxrecs=0
;ntfsthoroughsearch=0 - may skip small inserted MFT fragments
;ntfsthoroughsearch=1 - more thorough NTFS Search
ntfsthoroughsearch=1
;ntfsmftshift=0 - process sector aligned MFT records only
;ntfsmftshift=N - process MFT shifted by multiple of N bytes (shifted, traced, etc.)
ntfsmftshift=1
;ntfsrestrunlen=N - small MFT runs (N or less records) to be partially processed only
ntfsrestrunlen=4

[IFACE]
filecachesize=2048
;max. number of cached file panel items

maxtreechilditems=2048
;max child items number displayed in tree (GUI)

;set VGA colors
;vgapalette=\
;00,00,00, 00,00,80, 00,80,00, 00,80,80, 80,00,00, 80,00,80, 80,80,00, D0,D0,D0,\
;80,80,80, 00,00,FF, 00,FF,00, 00,FF,FF, FF,00,00, FF,00,FF, FF,FF,00, FF,FF,FF

charclustermap=]xR./=><<!x|[

;console UI:
dlgframe=1
dlglistframe=0

;console chars:
charraidbtns=+\x30x^v*

;charmarks=<>x+v[]
charmarks=\x11\x10x\x07\x19\x20\x20
;charbtnshadow=\x20\x20\x20
charbtnshadow=\u2584\u2580\u2580
;charwframe=\x20=\x20||\x20=\x20
charwframe=\u2554\u2550\u2557\u2551\u2551\u255A\u2550\u255D
;charframe=\x20-\x20||\x20-\x20
charframe=\u250C\u2500\u2510\u2502\u2502\u2514\u2500\u2518
;charvscroll=^v\x20#
charvscroll=\x18\x19\u2592\u25A0
;charhscroll=<>\x20#
charhscroll=\x11\x10\u2592\u25A0
;chartree=|-
chartree=\u251C\u2514
;charprogress=#=
charprogress=\u2588\u2592

;remove sign # to use color scheme
editorcolors#=\ ;color scheme
1F,\ ;0 Default
1B,\ ;1 Caption
0F,\ ;2 Focused
70,\ ;3 Selected block
0F,\ ;4 Selected object
0E,\ ;5 Modified
1A,\ ;6 Read Error
1A,\ ;7 Title
1C,\ ;8 Invalid Value
03,\ ;9 selected input
07,\ ;10 grayed
1B,\ ;11 selected not focused
1A,\ ;12 Caption Raid Disk #1
17,\ ;13 Caption Raid Disk #2
1C   ;14 Invalid Input

editorcolors#=\ ;gray scheme
8F,\ ;0 Default
8B,\ ;1 Caption
0F,\ ;2 Focused
70,\ ;3 Selected block
0F,\ ;4 Selected object
0E,\ ;5 Modified
8A,\ ;6 Read Error
8A,\ ;7 Title
8C,\ ;8 Invalid Value
03,\ ;9 selected input
07,\ ;10 grayed
8B,\ ;11 selected not focused
81,\ ;12 Caption Raid Disk #1
82,\ ;13 Caption Raid Disk #2
8C   ;14 Invalid Input

editorcolors#=\ ;blue scheme
1B,\ ;0 Default
1E,\ ;1 Caption
3F,\ ;2 Focused
30,\ ;3 Selected block
0F,\ ;4 Selected object
0E,\ ;5 Modified
1A,\ ;6 Read Error
1A,\ ;7 Title
1C,\ ;8 Invalid Value
3F,\ ;9 selected input
07,\ ;10 grayed
1F,\ ;11 selected not focused
1A,\ ;12 Caption Raid Disk #1
17,\ ;13 Caption Raid Disk #2
1C   ;14 Invalid Input

;console text attributes:
; xxxx:
; x... - text background color for shortcut
; .x.. - text color for shortcut
; ..x. - text background color
; ...x - text color
; 0=Black  1=Blue   2=Green   3=Cyan   4=Red   5=Magenta   6=Brown  7=ltGray
; 8=dkGray 9=ltBlue A=ltGreen B=ltCyan C=ltRed D=ltMagenta E=Yellow F=White

; remove "#" to use color scheme
colors#=\ ;color scheme
3E30,\ ;menubox
3E30,\ ;menubar
0E0E,\ ;highlighted menu item
3838,\ ;disabled menu item
2E20,\ ;button
2828,\ ;disabled button
2E2F,\ ;focused button
2E2B,\ ;default button
0030,\ ;list item
002F,\ ;focused list item
003F,\ ;selected list item
003E,\ ;marked list item
002E,\ ;marked focused list item
002F,\ ;active dialog caption
002F,\ ;not active dialog caption
001F,\ ;input
003F,\ ;input selection
0078,\ ;disabled input
00FE,\ ;modified input
0013,\ ;scrollbar
3E30,\ ;cluster
3F3F,\ ;cluster highlighted
7878,\ ;cluster disabled
001F,\ ;active window frame
0017,\ ;not active window frame
001F,\ ;active window title
0017,\ ;not active window title
001E,\ ;column title
1E1F,\ ;item in window
002F,\ ;focused item in window
001A,\ ;selected item in window
001E,\ ;marked item in window
003E,\ ;focused marked item in window
3E30,\ ;status line
7E70,\ ;dialog box text
3F3B,\ ;dialog column header
1F1E,\ ;window column header
0071,\ ;group/tab frame color
1E1F,\ ;window button
1818,\ ;window disabled button
2E2F,\ ;window focused button
1E1A,\ ;window default button
1E1F,\ ;window cluster
1E1F,\ ;window cluster highlighted
1818   ;window cluster disabled

colors#=\ ;gray scheme
7470,\ ;menubox
F4F0,\ ;menubar
040F,\ ;highlighted menu item
7878,\ ;disabled menu item
F4F0,\ ;button
F7F7,\ ;disabled button
F4F0,\ ;focused button
F4F0,\ ;default button
008F,\ ;list item
000F,\ ;focused list item
008B,\ ;selected list item
008E,\ ;marked list item
000E,\ ;marked focused list item
00F0,\ ;active dialog caption
00F8,\ ;not active dialog caption
008F,\ ;input
0080,\ ;input selection
0078,\ ;disabled input
008E,\ ;modified input
008F,\ ;scrollbar
7470,\ ;cluster
7470,\ ;cluster highlighted
7878,\ ;cluster disabled
008F,\ ;active window frame
008F,\ ;not active window frame
008F,\ ;active window title
008F,\ ;not active window title
008B,\ ;column title
8B8F,\ ;item in window
000F,\ ;focused item in window
008B,\ ;selected item in window
008E,\ ;marked item in window
000E,\ ;focused marked item in window
0070,\ ;status line
7470,\ ;dialog box text
8F8B,\ ;dialog column header
8F8B,\ ;window column header
0070,\ ;group/tab frame color
8E8F,\ ;window button
8787,\ ;window disabled button
0E0F,\ ;window focused button
8E8B,\ ;window default button
8E8F,\ ;window cluster
8E8F,\ ;window cluster highlighted
8787   ;window cluster disabled

colors#=\ ;blue scheme
3F30,\ ;menubox
3F30,\ ;menubar
0F0F,\ ;highlighted menu item
3838,\ ;disabled menu item
7470,\ ;button
7878,\ ;disabled button
3F3F,\ ;focused button
3F3F,\ ;default button
001B,\ ;list item
003F,\ ;focused list item
001F,\ ;selected list item
001E,\ ;marked list item
003E,\ ;marked focused list item
003F,\ ;active dialog caption
003F,\ ;not active dialog caption
001F,\ ;input
003F,\ ;input selection
0078,\ ;disabled input
00FE,\ ;modified input
001F,\ ;scrollbar
7470,\ ;cluster
7470,\ ;cluster highlighted
7878,\ ;cluster disabled
001B,\ ;active window frame
001B,\ ;not active window frame
001F,\ ;active window title
001B,\ ;not active window title
001E,\ ;column title
1E1B,\ ;item in window
003F,\ ;focused item in window
001F,\ ;selected item in window
001E,\ ;marked item in window
003E,\ ;focused marked item in window
0030,\ ;status line
7470,\ ;dialog box text
1B1E,\ ;dialog column header
1F1E,\ ;window column header
0073,\ ;group/tab frame color
1E1B,\ ;window button
1818,\ ;window disabled button
3F3F,\ ;window focused button
1E1F,\ ;window default button
1E1B,\ ;window cluster
1E1B,\ ;window cluster highlighted
1818   ;window cluster disabled
